# Created by pyp2rpm-3.3.2
%global pypi_name testresources

Name:           python-%{pypi_name}
Version:        2.0.1
Release:        %mkrel 10
Summary:        Testresources, a pyunit extension for managing expensive test resources
Group:          Development/Python
License:        None
URL:            https://launchpad.net/testresources
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         0001-fix-tests-for-python312.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
# for tests
BuildRequires:  python3dist(fixtures)
BuildRequires:  python3dist(testtools)

%description
testresources: extensions to python unittest to allow declarative use of
resources by test cases.Copyright (C) 2005-2013 Robert Collins
<robertc@robertcollins.net> Licensed under either the Apache License, Version
2.0 or the BSD 3-clause license at the users choice. A copy of both licenses
are available in the project source as Apache-2.0 and BSD. You may not use this
file except in compliance...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(docutils)
Requires:       python3dist(fixtures)
Requires:       python3dist(pbr) >= 1.8
Requires:       python3dist(testtools)

%description -n python3-%{pypi_name}
testresources: extensions to python unittest to allow declarative use of
resources by test cases.Copyright (C) 2005-2013 Robert Collins
<robertc@robertcollins.net> Licensed under either the Apache License, Version
2.0 or the BSD 3-clause license at the users choice. A copy of both licenses
are available in the project source as Apache-2.0 and BSD. You may not use this
file except in compliance...


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# replace removed unittest aliases
sed -i 's/failIf/assertFalse/' testresources/tests/test_resourced_test_case.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files testresources

%check
%{python3} -m testtools.run testresources.tests.test_suite

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.0.1-10.mga10
+ Revision: 2241614
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 2.0.1-9.mga10
+ Revision: 2158887
- rebuild for python3.13

* Sat Feb 01 2025 daviddavid <daviddavid> 2.0.1-8.mga10
+ Revision: 2144060
- fix testsuite
+ papoteur <papoteur>
- disable tests, failing

* Mon Jan 22 2024 papoteur <papoteur> 2.0.1-7.mga10
+ Revision: 2033534
- rebuild for python 3.12
- add patch for tests in python 3.12

* Tue Mar 29 2022 umeabot <umeabot> 2.0.1-6.mga9
+ Revision: 1831964
- Mageia 9 Mass Rebuild

* Sun Feb 20 2022 mrambo3501 <mrambo3501> 2.0.1-5.mga9
+ Revision: 1781634
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 2.0.1-4.mga9
+ Revision: 1732617
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 2.0.1-3.mga8
+ Revision: 1532691
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 2.0.1-2.mga8
+ Revision: 1442609
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 2.0.1-1.mga7
+ Revision: 1353631
- pyp2rpm

